Bug 214815 - Gaim craches on irc cp1251 encoded text message
Gaim craches on irc cp1251 encoded text message
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 11:52 EST by Peter Janakiev
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 12:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2006-11-09 11:52:03 EST
Description of problem:
Gaim crashes upon receiving utf/windows1251 encoded message from an IRC server. 


Version-Release number of selected component (if applicable):
gaim-2.0.0-0.17.beta4.fc6

How reproducible:
every time

Steps to Reproduce:
1.Connect gaim to an IRC server
2.Ask someone to sent you a text message in cyrilic letters: windows-1251 and/or
UTF-8
3.As alternative join a channel and write in it some message in cyrilic letters
using windows-1251 encoding. 
  
Actual results:
Gaim quits with no error message

Expected results:
Should display the text received by the server

Additional info:
When a message is sent to a channel and the message is encoded in windows-1251
encoding the other users in that channel receive the message, so it means gaim
crashes only upon receiving of such encoded message from the server. Also such
message could not only be regular one (MSG, NOTICE and so on) but also
MOTD/Topic of a channel/CTCP and so on. 

Debug
Starting program: /usr/bin/gaim 
[Thread debugging using libthread_db enabled]
[New Thread -1208534512 (LWP 20273)]

Program received signal SIGPIPE, Broken pipe.

Program exited with code 01.
Comment 1 Warren Togami 2006-11-09 12:35:32 EST
http://people.redhat.com/wtogami/temp/gaim/
Please test this FC6 candidate update package here, does this solve your problem?
Comment 2 Peter Janakiev 2006-11-09 16:00:51 EST
(In reply to comment #1)
> http://people.redhat.com/wtogami/temp/gaim/
> Please test this FC6 candidate update package here, does this solve your problem?

It seems to work, I mean it does not crash on windows-1251 encoded characters
sent by the server, I hope everything else work too, I'll test more profoundly
tomorrow, but this is soleved. Thanks. 


Note You need to log in before you can comment on or make changes to this bug.